
D.P.F iOS Native Components ( D.P.F iOSNC )

History

--------------------------------------------------------------
v6.9.7 - 2013/11/26
  + Added TDPFDatePicker MinimumDate property
  + Added TDPFDatePicker MaximumDate property
  - Fixed TDPFKeyboard toolbar position in iOS6

--------------------------------------------------------------
v6.9.4 - 2013/11/25
  + Added TDPFKeyboard Component
  + Added TDPToolbar iOS7 Background Color (barTintColor)
  + Added MakeScreenshot function
  + Added TDPFTextField Editable property
  + Added TDPFDateTimeComboBox PickerToolbarVisible property
  + Added TDPFComboBox PickerToolbarVisible property
  - Fixed TDPFMPMoviePlayerViewController crash when no file play!
  - Fixed TDPFComboBox Enabled
  - Fixed TDPFDateTimeComboBox Enabled
  - Fixed TDPFCamera Crash multi thread
  - Removed TDPFApplicationManager HideKeyboardDoneButton property
  - Removed TDPFApplicationManager HideKeyboardToolbar property

--------------------------------------------------------------
v6.8.5 - 2013/11/22
  + Added TDPFCamera OnConvertProgress Event
  - Fixed CreatePDFfromUIView
  - Fixed TDPFNavigationController iOS7 Back Button 
  - Fixed TDPFCamera Crash in repeat recording
  - Fixed TDPFCamera Some Memory Leak
  - Fixed TDPFInAppPurchase Fetch Products crashing.

--------------------------------------------------------------
v6.7.1 - 2013/11/18
  + Added TDPFCamera Component (Capture Video + Audio / Native API / Convert to MP4)
  + Added touchesBegan Event to TDPFUIView
  + Added touchesMoved Event to TDPFUIView
  + Added Painter Demo
  + Added TDPFiOSBaseControl Scale property (For some controls)
  + Added TDPFUITableView OnSectionClick Event (Custom Header)
  + Added TDPFUIImagePickerController Video Capture
  + Added MobileCoreServices consts
  * Wrapped GameKit framework
  - Fixed TDPFADBanner Startup position
  - Fixed TDPFMapView low memory crash

--------------------------------------------------------------
v6.4.1 - 2013/11/05
  + Added TDPFGLKView Component
  + Added TDPFAlertView Set Focus
  + Added OnDoubleClick Event to TDPFUIView
  + Added OnTouchesEnded Event to TDPFUIView
  * Change TDPFUITableView BackgroundImage in runtime
  * Improved TDPFUITableView to add controls into cell

--------------------------------------------------------------
v6.2.8 - 2013/10/29
  + Added Drawing in UIView
  + Added UILocalNotification 
  + Added TDPFUITableView.Options.SelectedColor Property
  + Added TDPFMPMoviePlayerViewController MovieScalingMode Property
  + Added TDPFMPMoviePlayerViewController ShowInView Property
  + Added TDPFUIViewController OnDidRotateFromInterfaceOrientation
  + Added TDPFUIViewController Orientations Property
  + Added Alpha Parameter to TColorToUIColor
  + Added TDPFInAppPurchase Component
  - Fixed TDPFNavigationController ButtonItemKind is bkImage
  - Fixed TDPFEKCalendar GetAllEvents event Identifier
  + Wrapped Store Kit Framework Reference

--------------------------------------------------------------
v6.0.0 - 2013/10/23
  + Added DPF.iOS.NSTimer Component
  + Added PanGestureRecognizer to TDPFiOSBaseControl
  + Added Facebook Slide Menu Demo
  + Added TDPFHttp OnReceiveDataStream Event
  + Added DownloadFile Demo
  + Added TDPFQLPreviewController.OnShouldOpenURL Event
  + Added TDPFUITableView.IndexListBackgroundColor Property
  + Added TDPFUITableView.IndexListTextColor Property
  + Added TDPFMPMoviePlayerViewController Close method
  + Added TDPFUITableView  SearchItemCount Property 
  + Added TDPFButton TextShadowColorNormal Property
  + Added TDPFButton TextShadowColorHighlight Property
  - Fixed TDPFMPMoviePlayerViewController Stop method
  - Fixed TDPFButton.TDPFContentVerticalAlignment  
  - Fixed TDPFButton.TextColorHighlight
  - Fixed TDPFButton.TextColorNormal
  - Fixed TDPFUITableView Category Search

--------------------------------------------------------------
v5.9.6 - 2013/10/19
  + Added TDPFEKCalendar RemoveEvent
  + Adedd TDPFEKCalendar AddOrEditCalendarEvent
  + Added TDPFImageView GetColoredImage method
  + Added Movie Control Style to TDPFMPMoviePlayerViewController
  + Added TagDateTime to TDPFiOSBaseControl
  + Added ShouldStart to TDPFWeb.OnRequest event
  + Added RequestURL to TDPFWeb.OnRequest event
  + Added TDPFUITableView.TableItem Category ( Search Scope )
  + Added TDPFLabel AutoSizeToFit Property
  * Improved TDPFSlideDialog multi line text
  * Improved TDPFLabel BackgroundImage To Fit  

--------------------------------------------------------------
v5.8.4 - 2013/10/12
  + Added DPF.iOS.CacheManager Library
  + Added TDPFAVPlayer Close method
  + Added TDPFHttp URLRequestCache property
  + Added TDPFHttp OnProgress Event
  + Added TDPFImageView OnProgress Event
  + Added TDPFImageView NSURLCache using
  + Added TDPFSlideDialog Close method
  + Added UIView & UIViewController fit background image
  + Added SuckEffect Animation
  + Added RippleEffect Animation
  - Fixed TDPFHttp bad url error
  - Fixed TDPTableView Header View Memory Leak
  - Fixed TDPFActionSheet Memory Leak
  - Fixed Show TDPFSLComposeViewController

--------------------------------------------------------------
v5.5.2 - 2013/09/24
  + Adde TDPFUITableView Designtime UI (by Fenistil)
  + Improved TDPFSlideDialog
  + Improved TDPFImageView Image loading
  - Fixed TDPFImageView load corrupt file
  - Fixed XE4 $D1 compile error

--------------------------------------------------------------
v5.4.8 - 2013/09/21
  + Added TDPFSlideDialog Component
  + Added TDPFNavigationController setModalTransitionStyle
  + Added TDPFAVPlayer PlayInBackground Property
  + Added Play Audio in Background Demo
  + Added TDPFActivityIndicatorView isAnimating property 
  - Fixed Some bugs

--------------------------------------------------------------
v5.2.1 - 2013/09/19
  + Support Delphi XE5
  + Added TDPFUITableView AutoScrollLoop
  + Added TDPFApplicationManager component
  + Added TDPFAVPlayer isPlaying / isStopped / isPaused functions
  - Fixed Crash TDPFImageView.free when Asynchronous Loading
  - Fixed some bugs. 
  - Fixed some memory leaks.

--------------------------------------------------------------
v5.0.0 - 2013/09/15
  + Added TDPFUIScrollView OnWillBeginDragging Event
  + Added TDPFButton SetHighlightedWithDelay
  + Added TDPFButton TintColor
  * Improved TDPFButton to add child control
  - Removed TDPFTextField Editable Property
  - Removed TextAlignment Property
  - Fixed TDPFUITableView setEditingAccessoryType setting
  - Fixed Some bugs

--------------------------------------------------------------
v4.8.5 - 2013/09/09
  + Added New ComboBox Component
  + Added New DateTime ComboBox Component
  + Added TDPFWeb LoadFromFile
  + Added TDPFSegmentedControl TintColor Property
  + Added TDPFToolbar->TUIBarButtonItem TintColor Property
  + Added TDPFUITableView ScrollsToTop property
  + Added TDPFUITableView Horizontal Scrolling
  + Added TDPFUITableView OnPageChanged Event
  * Changed TDPFTableViewItemOnGetRowHeight RowHeight type to single
  * Changed ClipsToBounds default value to True
  - Fixed TDPFDatePicker some memory leak
  - Fixed TDPFUITableView Header/Footer height

--------------------------------------------------------------
v4.6.2 - 2013/09/08
  + Added TDPFADBanner Component (iAd Framework Needed)
  + Added UISearchBar DesignTime UI (by Fenistil)
  + Added TDPFUITableView RefreshControl Demo
  + Added TDPFUITableView ClearSelectedRows
  + Added TDPFUITableView GetSelectedRows
  + Added TDPFUITableView VirtualMode
  + Added TDPFButton ContentHorizontalAlignment
  + Added TDPFButton ContentVerticalAlignment
  + Added TDPFTextField TextFormat Property
  + Added TDPFFont BoldSystemFontSize
  + Added TDPFUIActionSheet add custom Buttons
  + Added PlaySystemSound ( play all system sounds )
  * Improved TDPFUITableView Custom Frame Performance
  * Improved TDPFUITableView Custom View Performance
  * Removed TDPFUITableView.TTableItem.Frame
  - Fixed TDPFTextView Text Setting
  - Fixed TableView Indexbar 
  - Fixed TableView SearchBar
  - Fixed TableView Custom View memory leak
  - Fixe TableView Crash when select none visible row
  - Fixed CheckBox OnClick on Device 
  - Fixed UINavigationController Selected ActivePage

--------------------------------------------------------------
v4.2.0 - 2013/09/01
  + MPVolume DesignTime UI (by Fenistil)
  - Fixed Shadow layer
  - Fixed TableView Some Memory Leak

--------------------------------------------------------------
v4.1.0 - 2013/08/30
  + Added TDPFUIView OnItemDeSelect Event
  + Adde Change Cell Accessory on Select Or DeSelect Row
  - Fixed SlideUpDown Demo Form Loading
  - Fixed TableView 1 Demo Form Loading
  * Changed TableView OnItemSelect Evenet Parameters

--------------------------------------------------------------
v4.0.0 - 2013/08/30
  + Added Project Wizard (File->New->Other->D.P.F Delphi iOS Native Components) (Thanks Tyson Stephen)
  + Added TDPFSearchBar ( TableView searching )
  + Added PDF Export Functions
  + Added TDPFCheckBox Component
  + Added Slide UP/DOWN Demo
  + Added Basic Authentication to TDPFHttp
  + Added TDPFHttp Set HTTPBody
  + Added TDPFLabel OnClick Event
  + Added TDPFUIView CheckReceiveTouch property
  + Added TDPFUITableView OnCanMoveRow Event
  + Added TDPFUITableView OnCanMoveFromRowToRow Event
  + Added TDPFUITableView OnAfterMoveRow Event
  + Added TDPFUITableView.TDPFTableViewOptions TextFont Property
  + Added TDPFUITableView.TDPFTableViewOptions DescriptionFont Property
  + Added TDPFTextField Maxlength Property
  + Added TDPFTextView Maxlength Property
  + Added TDPFTextView SearchKind (skStartsWith, skContains)
  + Added TDPFTextView DeSelectRow Method
  + Added TDPFNavigationController HidesBackButton property
  + Added TDPFUIPageControl DesignTime UI (by Fenistil)
  - Fixed TDPFUIViewController Level BackgroundImage higher than BackgroundColor
  - Fixed TDPFNavigationController ToolbarVisible stored
  - Fixed Click Event in Some Child Controls
  - Fixed ActivityIndicator change color
  - Fixed BaseControl.Shadow And BaseControl.CornerRadius 
  - Fixed TDPFUITableView Move row from section to section
  - Fixed TDPFUIViewController resizing in Retina Devices
  - Fixed Controls Set Visible
  - Fixed call TDPFHttp.GetUrlContentData with parameter
  - Fixed TDPFTabBarController infinit loop
  - Removed Visible Property From TableItem

--------------------------------------------------------------
v3.5.1 - 2013/08/26
  + Added UIActivityIndicatorView AutoHide After n Sec
  + Added TDPFTableView Move Rows  
  + Added TDPFTableView.TSectionItem.Items default keywork
  + Added TDPFTableView.TTableItem.Items default keywork
  + Added TDPFTableView OnAccessoryButtonTapped Event (AccessoryType=tvcaDetailDisclosureButton)
  + Added TDPFTableView.Row property
  + Added TDPFActivityIndicatorView DesignTime UI (by Fenistil)
  - Fixed BaseControl.CornerRadius 
  - Fixed BaseControl.BorderWidth
  - Fixed BaseControl.BorderColor
  - Fixed TDPFButton Font Size
  - Fixed TDPFNavigationController.ToolbarVisible not stored
  - Removed HidesWhenStopped property of TDPFActivityIndicatorView
  - Removed Label Property of TDPFActivityIndicatorView
  * UIScrollView.ReCalc Moved to public
  * Improved TDPFUIPageControl

--------------------------------------------------------------
v3.2.9 - 2013/08/20
  - Fixed Compile Error on Device

--------------------------------------------------------------
v3.2.8 - 2013/08/20
  + Added TQLPreviewController (Document Viewer, PDF, PNG, ...)
  + Added TDPFPopover
  + Added TDPFToolbarItem Font Property
  + Added TDPFNavigationController Designtime UI (Thanks Fenistil)
  - Fixed TDPFDatePicker display in iPad
  - Fixed TDPFNavigationControllerPage page Prompt
  - Fixed TDPFUITableView crash IndexList

--------------------------------------------------------------
v3.0.0 - 2013/08/16
  + Added MKMapView Routing / Direction
  + Added Indexed Bar To TDPFUITableView
  + Added Frame property TDPFUITableView.TableItem (Custom cell view)
  + Added BitMap property TDPFUITableView.TableItem
  + Added DEFINE iOS6 for using iOS 6 features
  + Added UIRefreshControl To TDPFUITableView (iOS 6 and later)
  + Added Select Tableview Row Programmatically
  - Fixed TDPFNavigationController NavBar height on orientation
  - Fixed TDPFNavigationController toolbar button width
  - Fixed crash TDPFAddressBook RequestAccess
  - Fixed TDPFEKCalendar iOS 6 requestAccess
  - Fixed TDPFAddressBook iOS 6 requestAccess
  - Fixed TDPFTabBarController.ActivePageIndex selected value

--------------------------------------------------------------
v2.8.5 - 2013/08/10
  - Fixed BaseControl ChangeParent
  - Fixed Button incorrect resizing (thanks to Fenistil)
  - Fixed Button setMasksToBounds for highlighted

--------------------------------------------------------------
v2.8.4 - 2013/08/10
  + Added Map Location by Address with Zoom
  - Fixed Toolbar registration

--------------------------------------------------------------
v2.8.0 - 2013/08/09
  + Added Toolbar to TDPFNavigationController
  + Adedd TDPFPickerView Designtime UI (thanks to Fenistil)
  + Added TDPFTabBarController Designtime UI (thanks to Fenistil)
  * Improved TDPFUIScrollView (thanks Tyson)
  - Fixed TDPFNavigationController Page Title when no button
  - Fixed Button font size (Ticket #22)
  - Fixed TDPFUIActionSheet message in landscape mode
  - Fixed TDPFUITableView cell  tvcsValue1 and tvcsValue2 (Ticket #21)

--------------------------------------------------------------
v2.7.0 - 2013/08/08
  * Improved TDPFNavigationController Designtime UI
  + Added ScrollView OnPageChanged
  - Fixed TextAlign in designtime
  - Fixed Visible property in BaseControl (Ticket #15)
  - Fixed Autoscroll timer crashing.
  - Fixed Hash FileName path
  - Fixed TDPFTableView SetSeparatorColor
  - Fixed Draw controls reposition in Designtime

--------------------------------------------------------------
v2.6.0 - 2013/08/05
  + Added Embbeded Frame To TDPFUIView (no need use FM forms)
  + Added Embbeded Frame To TDPFUIViewController (no need use FM forms)
  - Fixed Enabled property in BaseControl
  - Fixed DPFUIActionSheet delegate conflict with other controls
  - Fixed crash when openning some demo projects.
  - Fixed TDPFTabBarController wrong setting PageIndex property
  - Fixed some Objective-C interface definitions.
  - Fixed SLComposeViewControllerCompletion result typecast error.

--------------------------------------------------------------
v2.4.4 - 2013/07/31
  - Fixed some components not showed in tool palette

--------------------------------------------------------------
v2.4.3 - 2013/07/31
  + Added TDPNSOperationQueue for manage Asyc requests
  + Added set ActivePageIndex in TDPFUIPageViewController
  + Added SetFocus To Controls
  + Added TDPFTableView Header Extra properties
  + Added TDPFTableView Footer Extra properties
  - Fixed bug in Embbeded UIView & UIViewController with More than 2 Level
  - Fixed TDPFSLComposeViewController wrong serviceType
  - Fixed crashed when TDPFButton set ForgroundImage to null
  - Fixed crashed when TDPFButton set BackgroundImage to null 
  - Fixed Bug in TDPFButton.Destroy
  - Fixed Bug damaged cached image files in TDPFImageView (Reload again)
  - Fixed SetBorderWidth & SetBorderColor

--------------------------------------------------------------
v2.2.1 - 2013/07/26
  + Added many buttons on left side TDPFNavigationController
  + Added many buttons on right side TDPFNavigationController
  + Added Change button color in TDPFNavigationController
  + Added Runtime change Navigation left & Right Button ButtonSystemItem property
  + Added Runtime add Navigation button to TDPFNavigationController
  + Added Runtime delete Navigation button from TDPFNavigationController

--------------------------------------------------------------
v2.1.6 - 2013/07/25
  + Added EditedType property to TDPFUIImagePickerController
  * Changed most controls Free -> DisposeOf
  + Added FormChanged to TDPFUIView 
  + Added FormChanging to TDPFUIView & TDPFUIViewController
  + Added Runtime change ToolbarButton ButtonSystemItem property
  + Added Runtime add Toolbar button
  + Added Runtime delete Toolbar button
  + Optimized HTTP component ASync option

--------------------------------------------------------------
v2.0.1 - 2013/07/23
  + Added TDPFAVPlayer component (Audio Player Local & URL)
  + Added TDPFProgress component
  + Added TDPFSLComposeViewController for sharing (facebook, Twitter) ( required iOS 6.0 and later)
  + Added TDPFActivityViewController for sharing (Mail, Message, copy, facebook, Twitter, ...)
  + Added TDPFUIImagePickerController (From Camera & Library)
  + Added PageChanged Event to TDPFUIPageViewController
  + Added Font to TDPFTextField
  + Added BackgroundImage to TDPFUITableView
  + Added BackgroundImage to TDPFLabel
  + Added BackgroundImgge to TDPFTextField
  + Added HideKeyboardOnReturn to HideKeyboardOnReturn
  + Added CellEdit Property to TDPFTableView
  + Added AllEdit Property to TDPFTableView

--------------------------------------------------------------
v1.9.5 - 2013/07/21
  + Added OnClick Event on TDPFUIView
  - Fixed TDPFUIButton Roundrect botder style background color,
  * Improved TDPFTextField
  * Improved TDPFTextView
  * Improved GUI 

--------------------------------------------------------------
v1.9.4 - 2013/07/20
  + Added FormChanged Event To TDPFUIView & TDPFUIViewController
  + Set DesignTime Font Default
  - Fixed DisposeOf CustomViews in TDPFTableView
  + Added SetBounces to TDPFUIScrollView
  - Fixed blank bar on TDPFNavigationController  
  * Improved TDPFNavigationController properties & events
  - Fixed TDPFPageViewController deploying on Device
  * Improved TDPFPageViewController

--------------------------------------------------------------
v1.9.1 - 2013/07/18
  + Added Design time Graphic User Interface ( thanks Fenistil )
  + Added Customizable UITableView ( with demo )
  + Added Auto Smooth Scroll in UITableView (UP/DOWN)
  + Added UIActionSheet Component 
  + Added UIActionSheet Demo
  * Change TDPFTabBarItem base class from TDPFiOSBaseControl - > TDPFUIViewController
  - Fixed Embbeded From in TDPFUIViewController, TDPFUIView
  * Optimized SetAnimationTransition for UIView & UIViewController
  + Added UITableView.cell BackgroundColor Property
  + Added UIImageView Image Caching
  + Added Slide Transition to all controls
  + Added Shadow to all Controls if it possible in iOS
  + Added Border to all Controls if it possible in iOS
  + Added LoadFromString to TDPFWeb
  - Fixed UIFont release bug
  - Fixed Embbeded Form Client Size
  - Fixed Embbeded Form Bug when deploy on Device

--------------------------------------------------------------
v1.8.2 - 2013/07/14
  + Added AdjustsImageWhenHighlighted property to UIButton
  + Added Embbeded Form To UIViewController
  + Added Set Shadow property on runtime
  + Added Font Property To DPFiOSBaseControl (Apply to all controls)
  + Added Selected, Highlited property to UIButton
  + Added TabBar Visible property to UITabBarController
  - Fixed UITabBarController Wrong PageIndex, ActivePageIndex setting 
  - Fixed UITabBarController Item PageIndex Stored in dfm
  - Fixed Fixed tvsGrouped style in DPFUITableView
  - Fixed some memory leaks
  - Fixed UIView Background image (mirrored)
  - Fixed Bug Toolbar some items onClick event

--------------------------------------------------------------
v1.8.0 - 2013/07/12
  + Added UIDatePicker with (11 Calendar And 533 Locale)  With Demo
  + Added UIAlertView Component ( Customized ) With Demo
  + Added UINavigationController Component With Demo
  - Fixed TDPFUIButton Set title on none titled style
  + Added SizeToFit property to TDPFUIButton
  + Added Form Wrap Slide Transition ( Thanks Diego Molina )
  + Added hasNotes to EKCalendar
  - Fixed bug on get Calendar No Notes items
  - Fixed some memory leaks
  - Fixed Embbeded View Froms some bugs
  + Optimized source code

--------------------------------------------------------------
v1.7.5 - 2013/07/10
  + Added UIPickerView Component (Multiple Column)
  + Added UIPickerView Multiple column Demo
  + Added Embedded Form Property to UIView
  + Remove painting controls in runtime
  + Added Animation to TabBarControler all items

--------------------------------------------------------------
v1.7.2 - 2013/07/09
  + Added UIWeb Component
  + Added WebView Demo
  + Added TabBar Panel in Designtime
  + Added TabBar Background color
  + Added TabBar Background image
  + Added Load image Async into UIImageView 
  + Added UIActivityIndicatorView to UIImageView Async loading
  + Added UserInteraction for all controls
  + Added Border to UIImageView
  + Added Shadow to UIImageView
  + Added Corner to UIImageView
  + Added OnClick to UIImageView


--------------------------------------------------------------
v1.7.0 - 2013/07/08
  - Fixed TDPFSegmentedControl SelectedIndex OnChange property ( Thanks Diego Molina )
  + Added Animatiobn Demo ( Thanks Diego Molina )
  + Added UITabBarController Component
  + Added UITabBarController Demo
  * Improved Toolbar Demo ( Left, Center, Right Buttons )
  * Improved UIView capability

--------------------------------------------------------------
v1.6.8 - 2013/07/07
  + Added UIToolbar component
  + Added UIToolbar Demo
  + Added ScrollType property to UIScrollView
  * Free objects improved

--------------------------------------------------------------
v1.6.6 - 2013/07/06
  - Fixed Compiling UIImageView in win32
  + Add Attachment file (any MIME type) to MailCompose component

--------------------------------------------------------------
v1.6.5 - 2013/07/06
  * Wrapped MFMessageComposeViewController class
  + Added MessageCompose component
  + Added MessageCompose Demo (Sending Message)
  * Improved & Fixed leak memory HTTP component
  + Added LoadFromFile and SaveToFile to UIImageView
  + Added SetImage from TBitMap
  + Added Transition Animation to controls 
  - Fixed MapView Demo raise exception

--------------------------------------------------------------
v1.6.0 - 2013/07/05
  * Wrapped AddressBook.framework (ABPeoplePickerNavigationController)
  + Added TDPFAddressBook component
  + Added AddressBook Demo (Select person from Contacts)
  * Wrapped MFMailComposeViewController class
  + Added MailCompose component
  + Added MailCompose Demo (Sending eMail)
  + Added TextField Keyboard type

--------------------------------------------------------------
v1.5.4 - 2013/07/03
  + Added UIButton Custom Background Color
  * Improved Design Time Controls Painting
  
--------------------------------------------------------------
v1.5.3 - 2013/07/03
  * Added Notes, Location, Identifier to EKCalendarItem // Thanks Massimo Caroccia ( carmas123 ) for helping
  + Added Movie Player Component (Both Local File & URL)
  + Added TabBar Component ( Under Construction )
  + Added HTTP Component
  + Added HTTP Component Demo 
  + GetURLContent for getting URL Content in iOS

--------------------------------------------------------------
v1.5.1 - 2013/07/01
  - Fixed package compile error

--------------------------------------------------------------
v1.5.0 - 2013/07/01
  * Wrapped MapKit.framework
  + Added MapView Component
  + Added MapView Show User Location Demo
  + Added UIButton text alignment
  + Added UIView transparent background color
  - Fixed components Design Time positions.

--------------------------------------------------------------
v1.4.7 - 2013/06/29
  * Improved EventKit for iOS 6 ( Using requestAccessToEntityType )
  - Fixed TableView Footer & Header Location
  - Remove Toolbar Property from UITableView
  + Added OnInsert to UITableView
  + Added OnDelete to UITableView
  + Added OnEdit to UITableView
  + Sync VCL Position with iOS control
  + Sync VCL Scale with iOS control
  + Added Item Description
  + Added Item Title Font
  + Added Item Description Font
  + Added TableView SelectionStyle
  * Improved EventKit functionality
  * Improved TableView functionality

--------------------------------------------------------------
v1.4.0 - 2013/06/27
  + Added UILabel with Demo
  + Added UISegmentedControl with Demo
  + Added UISlider with Demo
  + Added UIStepper with Demo
  + Added UISwitch with Demo
  + Added UIImageView with Demo

--------------------------------------------------------------
v1.3.2 - 2013/06/26
  - Fixed AddCalendarEvent function.

--------------------------------------------------------------
v1.3.1 - 2013/06/26
  * Removed All Extra Units
  * Wrapped EventKit.framework
  + Added EKEvent
  + Added EKAlarm
  + Added EKEventStore
  + Added EKCalendarItem
  + Added Calendar Alarm Demo 

--------------------------------------------------------------
v1.1.0 - 2013/06/23
  * Added UITableView

--------------------------------------------------------------
v1.0.1 - 2013/05/16
  * The first release of iOSNC
  * Added UIButton
  * Added UITextField
  * Added UITextView
  * Added UIView
  * Added UIPageControl

------------------------------------
© 2011-2013 Dadeh Pardazane Faragir (D.P.F). All rights reserved.
http://www.dpfaragir.com